import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { SysUser } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-07-31 17:08
 */
interface SysUserCU extends ConditionUtil<SysUserCU> {
    ID: FieldUtil<SysUserCU>;
    NAME: FieldUtil<SysUserCU>;
}
declare class SysUserMU extends TableUtilImpl<SysUserCU, SysUser> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): SysUserCU;
    static get ID(): FieldUtil<SysUserCU>;
    static get NAME(): FieldUtil<SysUserCU>;
    get ID(): FieldUtil<SysUserCU>;
    get NAME(): FieldUtil<SysUserCU>;
}
export { SysUserMU, SysUserCU };
